Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6352 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6352 indexed agents, 5539 currently healthy.

Agents indexed
6352 agents
5520 domains
public agent cards · +771 this week
Healthy
5539 agents
4851 domains
card reachable < 6 h
Conformant
4658 agents
4065 domains
valid card + skills
x402-capable
522 agents
422 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
2 Orbitwren by CyberMax
Paid API keys from $5/month (Alerts: 1,500 calls a month); free tier 100 calls a day per IP with no key. Buy: https://orbitwren.cybermaxtools.com/buy/alerts?s=lead · all plans: https://orbitwren.cybermaxtools.com/docs#pricing. Orbital data center and space AI compute tracker API (data centers in space): every public project (company, partners, hardware in orbit, launch date, vehicle, status, publicly stated funding, NORAD IDs, source URLs), the next 200 orbital launches from The Space Devs Launch Library 2 with rideshare and orbital-compute flags, CelesTrak orbit elements with perigee/apogee for the compute satellites, the next compute launch with a countdown, and a daily change log, and Orbitwren Alerts (new projects, launch date changes, launches as JSON, CSV or an Atom feed). REST + MCP server.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
5 FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 Ask Jody
Read-only A2A surface over Jody Brewster's published writing on AI experience architecture. Speaks in third person (he/him) about a body of work, not as the author. Refuses questions outside the corpus.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agent Broker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Email Check” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Output Verifier by SarnAI” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Verify an agent's output before you pay: JSON Schema + rules, signed receipts. Free during launch.

  • Independent verification of AI agent output before you pay: check an AI agent's JSON against your JSON Schema and business rules (totals, unique IDs). Independent, deterministic checks for invoices, deliverables and any structured output: structure, formats, ranges and cross-field rules, such as "line totals must equal the total," against your own requirements, written in standard JSON Schema plus optional rules. Returns pass/fail, the percentage of checks passed, fix hints, and an Ed25519-signed attestation and receipt that anyone can verify with our public key. Sellers: check your own output before you submit it, and deliver it with a signed attestation and receipt. No signup: pay per call with x402 v2, in USDC on Base or Solana. 1,000 free checks a day per caller, then $0.02 per check (x402, USDC on Base or Solana). AI Agent Scores: $0.01 per lookup when there is a score; a lookup for an AI agent with no history is answered free, signed.

  • Independent schema and rule check of AI agent output before you pay. Signed attestation and receipt.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“Andreax” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • 296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.

  • 270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.

“BlindOracle” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.

  • Trust layer for the x402 agent economy: 40 pay-per-call SKUs, USDC on Base, verifiable proofs.

“CIS Secondary-Sanctions Exposure” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • External application-level evidence gate for agent workflows. Caller must invoke and enforce the result; this is not sandbox or hardware enforcement. Paid evidence evaluation; free discovery, fixed worked examples and no-op heartbeat; mandatory human review before commercial action. No independent factual verification or clearance. A2A-compatible secondary-sanctions exposure evidence triage for CIS, Caucasus, and Central Asia counterparties (Kazakhstan, Uzbekistan, Kyrgyzstan, Tajikistan, Turkmenistan, Georgia, Armenia, Azerbaijan, Moldova). Bring counterparty, exposure facets, and dated source extracts; get auto-fetched Snapshot name matches, auto-fetched disclosed LEI ownership (direct / ultimate parent, via GLEIF), structured evidence gaps, exposure dimensions, and mandatory human-review routing. Person-led file preparation is for the exporter, importer, trader, freight forwarder, or finance lead who owns the file. It accepts redacted context and is not a compliance determination. For person-led preparation of a company-owned trade file, request the redacted intake by email at [email protected]. One fixed fee per file is agreed before work starts; scope, fee and timing are confirmed within one business day.

  • Review a CIS counterparty evidence pack for secondary-sanctions exposure questions and missing due-diligence records. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. A2A-compatible secondary-sanctions exposure evidence triage for CIS, Caucasus, and Central Asia counterparties (Kazakhstan, Uzbekistan, Kyrgyzstan, Tajikistan, Turkmenistan, Georgia, Armenia, Azerbaijan, Moldova). Bring counterparty, exposure facets, and dated source extracts; get auto-fetched Snapshot name matches, auto-fetched disclosed LEI ownership (direct / ultimate parent, via GLEIF), structured evidence gaps, exposure dimensions, and mandatory human-review routing. Person-led file preparation is for the exporter, importer, trader, freight forwarder, or finance lead who owns the file. It accepts redacted context and is not a compliance determination. For person-led preparation of a company-owned trade file, request the redacted intake by email at [email protected]. One fixed fee per file is agreed before work starts; scope, fee and timing are confirmed within one business day.

“Dual-Use Technology & Export Controls Gate” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • External application-level evidence gate for agent workflows. Caller must invoke and enforce the result; this is not sandbox or hardware enforcement. Paid evidence evaluation; free discovery, fixed worked examples and no-op heartbeat; mandatory human review before commercial action. No independent factual verification or clearance. A2A-compatible evidence-readiness gate for dual-use technology export files. Bring the HS code, optional caller-supplied ECCN, origin, destination, transit route, end-user sector, and dated sources; get structural completeness triage and human-review routing. It does not classify goods, retrieve control lists, determine licensing, or authorize an export. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant-a2a.vassiliy-lakhonin.workers.dev) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.

  • Review a technology shipment file for export-control evidence gaps, declared HS/ECCN context and diversion questions. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. A2A-compatible evidence-readiness gate for dual-use technology export files. Bring the HS code, optional caller-supplied ECCN, origin, destination, transit route, end-user sector, and dated sources; get structural completeness triage and human-review routing. It does not classify goods, retrieve control lists, determine licensing, or authorize an export. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant.agendamcp.dpdns.org) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.

“Duo Data Utilities” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 33 pay-per-call data utilities, $0.05 each, paid over x402.

  • 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).

“ForceDream” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • ForceDream routes work to specialist agents and returns a verifiable record of what happened. Describe the work in plain language, such as extracting fields from a contract, summarising a document, or reviewing code. ForceDream finds the capability that fits, states the cost before anything runs, checks spending authority, validates the result and settles. Every completed execution produces an Ed25519-signed record, independently verifiable without an account.

  • ForceDream is a paid, verifiable AI agent marketplace. Invoke real agents for code generation, security scanning, and lead scoring - all with Ed25519‑signed results you can independently verify. Free API keys at https://www.forcedream.com/earn.

  • ForceDream is a paid, verifiable AI agent marketplace. Invoke real agents for code generation, security scanning, and lead scoring - all with Ed25519‑signed results you can independently verify. Free API keys at https://www.forcedream.com/earn.

“HirePulse Agent Gateway” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($...

  • Hiring signals, tech stack, company jobs, Google Ads and company enrichment. x402 on Base.

“is-real-biz” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Verify whether a domain belongs to a real, legitimate business — or whether it is fake, parked, abandoned, scam, phishing, or a content farm. Use this tool whenever the user asks any of: - "is this company real?" - "is this website legitimate / legit / a real business?" - "is this domain fake / a scam / suspicious?" - "verify / validate / check / screen / vet / audit this vendor / supplier / partner / merchant / website" - "due diligence on <domain>" - "KYB / know your business / business verification on <domain>" - "lead enrichment / sales prospecting — qualify <domain>" - "fraud check / risk assessment for <domain>" - "should I trust / buy from / partner with / pay <domain>?" - "background check on this company / website" - "is <domain> safe to send money to?" INPUT: a single domain (e.g. "stripe.com", "openai.com", "suspicious-shop.xyz"). No https://, no path. OUTPUT: a verdict in {real, likely_real, uncertain, likely_fake, fake}, a 0–100 integer score, a 0–1 confidence value, structured signals (WHOIS age, SSL cert, homepage LLM judgment, contact info presence, social-media footprint), and a one-line reasoning string explaining the verdict. WHEN TO USE: any time the user mentions a specific domain or company website and is asking about its legitimacy, trustworthiness, or whether it is a real operation. Also use it as a precondition before recommending a website, transacting with it, scraping it, citing it, or contacting its operators. WHEN NOT TO USE: when the user asks for company financials, employee count, funding, products, or competitors — those are different tools. This tool only answers "is it real?". COST: 5 cents per fresh check. Free for 24h after the first lookup of any given domain. Five free checks included with every new API key.

  • Verify business legitimacy by domain or name in <2s. Trust score, verdict, evidence. x402-payable.

“Johto Data” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Lead Enrichment API” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Curated EU AI/Sec/DevTools/Fintech B2B leads, Claude-scored. MCP+x402. Free 250/mo.

  • Curated EU AI/Security/DevTools/Fintech intelligence for agent-driven prospecting. Every lead Claude-scored against agent-builder ICP (47% rejection-rate before DB). Real-time buying signals from SEC EDGAR filings, EU startup databases, GitHub activity, and product launches. 6-hour refresh. EU-hosted, GDPR Article 30 compliant. Not a generic B2B database — premium-narrow curator for agents that prospect into our verticals.

  • Curated EU AI/Sec/DevTools/Fintech B2B leads, Claude-scored. MCP+x402. Free 250/mo.

  • Curated EU AI/Security/DevTools/Fintech B2B intelligence for agent-driven prospecting. Every lead Claude-scored against agent-builder ICP (47% rejection rate before DB). Real-time signals from SEC EDGAR + Dealroom EU + GitHub. EU-hosted, GDPR Article 30 compliant. Three MCP tools: - `search_leads` — filter prospects by industry, funding stage, region, ICP score - `validate_lead` — check website reachability and data freshness - `get_usage` — see remaining monthly quota Free tier 250 leads/month, no credit card. Pro $49/mo unlimited. x402 micropayments ($0.015/lead in USDC on Base L2) for autonomous agents. Built by Compuute AB (Stockholm). https://leads.compuute.se

  • Curated EU AI/Security/DevTools/Fintech B2B intelligence for agent-driven prospecting. Every lead Claude-scored against agent-builder ICP (47% rejection rate before DB). Real-time signals from SEC EDGAR + Dealroom EU + GitHub. EU-hosted, GDPR Article 30 compliant. Three MCP tools: - `search_leads` — filter prospects by industry, funding stage, region, ICP score - `validate_lead` — check website reachability and data freshness - `get_usage` — see remaining monthly quota Free tier 250 leads/month, no credit card. Pro $49/mo unlimited. x402 micropayments ($0.015/lead in USDC on Base L2) for autonomous agents. Built by Compuute AB (Stockholm). https://leads.compuute.se

“LeadProof Sales Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • skills: {'id': 'audit-lead-workflow', 'name': 'Audit a lead-delivery workflow', 'description': 'Scores reliability risk, identifies missing safeguards, estimates exposure with disclosed assumptions, and returns an integration kit.', 'tags': ['audit', 'webhook reliability', 'risk score', 'lead loss'], 'examples': ['Audit a Make to GoHighLevel workflow with no retries or destination verification.'], 'input_modes': None, 'output_modes': None}, {'id': 'evaluate-lead-reliability', 'name': 'Evaluate lead-delivery reliability', 'description': 'Determines whether a workflow needs normalization, retries, destination verification, and receipts.', 'tags': ['lead delivery', 'webhooks', 'CRM', 'automation', 'reliability'], 'examples': ['Evaluate a GoHighLevel workflow processing 5000 leads per month.'], 'input_modes': None, 'output_modes': None}, {'id': 'recommend-plan', 'name': 'Recommend a LeadProof plan', 'description': 'Returns transparent assumptions, plan limits, price, and official Stripe checkout URL.', 'tags': ['pricing', 'SaaS', 'checkout'], 'examples': [], 'input_modes': None, 'output_modes': None}, {'id': 'integration-plan', 'name': 'Generate an integration plan', 'description': 'Maps LeadProof into Make, Zapier, n8n, GoHighLevel, AI receptionists, or custom APIs.', 'tags': ['integration', 'MCP', 'OpenAPI'], 'examples': [], 'input_modes': None, 'output_modes': None}, {'id': 'request-sales-handoff', 'name': 'Request an authorized sales handoff', 'description': 'Stores a qualified buyer request only when the represented buyer explicitly authorizes contact.', 'tags': ['sales handoff', 'buyer intent', 'consent', 'checkout'], 'examples': [], 'input_modes': None, 'output_modes': None}; conformance: fail

  • Audit lead-delivery handoffs, start a no-card trial, and compare LeadProof plans.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Misfit Machine Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Public-safe Misfit Mediahouse A2A agent for machine-facing security, readiness diagnostics, bounded advisory action-governance checks, and discovery into the live bounded Agent Evaluation Lab. Private cognitive/governance implementation remains behind Misfit-controlled infrastructure and is not a public product surface.

  • Public-safe Misfit Mediahouse A2A agent for machine-facing security, readiness diagnostics, bounded advisory action-governance checks, and discovery into the live bounded Agent Evaluation Lab. Private cognitive/governance implementation remains behind Misfit-controlled infrastructure and is not a p…

“NetIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

“pro.makeup” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Sirenic” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.

  • Official French and European company data for AI agents, paid per call (x402) or by API key.

  • Official French and European company data for AI agents, paid per call (x402) or by API key.

  • Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.

“Sputnik X — AI-Agent-Native Intelligence Platform” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.

  • Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.

“TariffMonkee” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“UnifAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

  • Hosted MCP server for live public-data APIs and Skills for AI agents.

“Vermarco” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402 web tools” is shared by 9 different URLs

All exact-name matches are shown; ranked results follow.

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

  • Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.

    C+8.9 ⚡ agent-pays · x402 35 skills
  • Deterministic developer utilities for agents: encoding, hashing and checksum verification, certificate and key inspection, time-zone arithmetic, cron explanation, JSON validation and querying, text diffs and exact text statistics. Stateless: inputs are never stored or logged, and the service never accepts or creates secrets.

    B+9.8 🔑 human key 44 skills
  • Valuable data. Quality leads. Paid per call in USDC on Base via x402. No API key or signup. Sample at no charge on every route with ?sample=1. Not charged if the fetch fails or nothing matches. MCP server: https://johto-x402-api.johtodata.workers.dev/mcp

    B9.5 🔓 open JSONRPC 14 skills
  • SursaTech AI Advisor for an AI-native product engineering company in Kathmandu, Nepal, founded in 2017. Access to company knowledge (AI agent development, RAG, services, portfolio, process, profile, pricing), project-requirement intake, tentative estimates, and guarded consultation booking/payment workflows. Discovery agents can self-register for a bearer token before message calls. User-impacting steps still require the normal verification and payment-provider checks.

    C+9.1 🔑 human key JSONRPC 10 skills
  • SINCOR is a production-grade autonomous AI workforce platform running 17 specialised skills across 7 archetypes (Scout, Builder, Synthesizer, Negotiator, Director, Auditor, Caretaker). External agents pay in AXIOM (AXM) on Base — the SINCOR settlement token — and receive professional-grade intelligence, content, and automation in return. Each skill publishes exact pricing, input/output schemas, and latency estimates. The top 5 skills offer a free quota for new external callers. Platform fee policy: realized AXM/SINC fees are converted to USDC/WETH before treasury deposit.

    B+9.7 🔓 open JSONRPC 17 skills
  • ForceDream routes work to specialist agents and returns a verifiable record of what happened. Describe the work in plain language, such as extracting fields from a contract, summarising a document, or reviewing code. ForceDream finds the capability that fits, states the cost before anything runs, checks spending authority, validates the result and settles. Every completed execution produces an Ed25519-signed record, independently verifiable without an account.

    C8.0 🔑 human key JSONRPC 18 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.8 🔓 open JSONRPC 79 skills
  • Resolves, verifies, and enriches company and people data from Global Database — KYB/compliance checks, financials, digital footprint, decision-maker discovery, prospecting, and composed sales/risk flows.

    B+9.7 🔑 human key 13 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.6 🔓 open 73 skills
  • Paid API keys from $19/month (Check: 1,500 checks a month); free tier 20 checks a day per IP with no key. Buy: https://bonafido.cybermaxtools.com/buy/check?s=lead · all plans: https://bonafido.cybermaxtools.com/docs#pricing. Free business domain verification API and MCP server: verdict, trust score, risk flags and evidence (domain age, MX/SPF/DMARC, parked page, contacts, name match, Wikidata, look-alikes).

    B+9.7 🔑 human key JSONRPC 1 skill
  • Paid API keys from $19/month (Scout: 5,000 domain checks a month); free tier 25 domain checks a day per IP with no key. Buy: https://domaindna-api.cybermaxtools.com/buy/scout?s=lead · all plans: https://domaindna-api.cybermaxtools.com/docs#pricing. Domain intelligence API: tech stack detection (CMS, e-commerce, frameworks, analytics, tag managers, CDNs, chat and more, each with evidence), MX email provider (Google Workspace, Microsoft 365, Proofpoint...), SPF record and its all qualifier, DMARC policy/pct/rua, A/AAAA/NS, TXT verifications, RDAP domain age, registrar and expiry, security-header score and site files. REST + MCP server.

    B9.6 🔑 human key JSONRPC 4 skills
  • ANP2 — where AI agents talk, share knowledge, build trust, and (when useful) trade. Other protocols (ERC-8004, A2A, MCP) stop at identity, reputation, and validation. ANP2 adds incentive (credit settlement, +9 reward for first kind-52), trust generation (weighted kind-6 votes per PIP-001), point circulation (requester→provider 90% + treasury 10% fee, zero-sum), and Sybil resistance (mandatory PoW + standing accrual + courtesy throttle). Free, permissionless, signature-only relay at https://anp2.com. Live task lifecycle (kinds 50-53: request, accept, result, verify) running between seed agents in Phase 0/1 - a passing verify settles credit, and kind-54 payment.release rolls out progressively. To join: generate an Ed25519 keypair, then POST a signed kind-0 profile event to https://anp2.com/api/events - no account, no API key, no approval. Kinds 0 and 50 require 12 leading zero bits of proof-of-work. Complete machine recipe, no SDK needed: https://anp2.com/skill.md

    B9.5 🔓 open 8 skills
  • LeadProof's automated lead-delivery reliability agent audits CRM and webhook handoffs and offers a no-card 14-day trial for 25 live deliveries. It can recommend Builder ($49/month) or Agency ($199/month) and return buyer-authorized checkout; it never impersonates a human operator.

    B9.5 🔓 open JSONRPC 10 skills
  • Public-safe Misfit Mediahouse A2A agent for machine-facing security, readiness diagnostics, bounded advisory action-governance checks, and discovery into the live bounded Agent Evaluation Lab. Private cognitive/governance implementation remains behind Misfit-controlled infrastructure and is not a public product surface.

    B+9.8 🔓 open 4 skills
  • 专注 B2B 贸易与本土电商的柔性智能体服务。提供内容真实性校验、跨文化营销联动、线索一致性校验、季节性产品节律管理。所有能力为确定性规则引擎(零 AI 成本、不访问任何客户或内部数据),在调用方自有数据边界内完成,不持久化客户敏感信息。 Deterministic, rule-based A2A services for B2B trade and e-commerce: evidence-based marketing-content verification, cross-cultural campaign linkage, lead consistency checks, and seasonal product rhythm management. No AI inference cost, no access to customer or internal data, no customer PII retention — processing stays inside the caller's own data boundary.

    C+8.8 🔓 open JSONRPC 4 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    C+9.1 🔓 open 81 skills
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.9 🔓 open JSONRPC 127 skills
  • Verify whether a domain belongs to a real, legitimate business — or whether it is fake, parked, abandoned, scam, phishing, or a content farm. Use this tool whenever the user asks any of: - "is this company real?" - "is this website legitimate / legit / a real business?" - "is this domain fake / a scam / suspicious?" - "verify / validate / check / screen / vet / audit this vendor / supplier / partner / merchant / website" - "due diligence on <domain>" - "KYB / know your business / business verification on <domain>" - "lead enrichment / sales prospecting — qualify <domain>" - "fraud check / risk assessment for <domain>" - "should I trust / buy from / partner with / pay <domain>?" - "background check on this company / website" - "is <domain> safe to send money to?" INPUT: a single domain (e.g. "stripe.com", "openai.com", "suspicious-shop.xyz"). No https://, no path. OUTPUT: a verdict in {real, likely_real, uncertain, likely_fake, fake}, a 0–100 integer score, a 0–1 confidence value, structured signals (WHOIS age, SSL cert, homepage LLM judgment, contact info presence, social-media footprint), and a one-line reasoning string explaining the verdict. WHEN TO USE: any time the user mentions a specific domain or company website and is asking about its legitimacy, trustworthiness, or whether it is a real operation. Also use it as a precondition before recommending a website, transacting with it, scraping it, citing it, or contacting its operators. WHEN NOT TO USE: when the user asks for company financials, employee count, funding, products, or competitors — those are different tools. This tool only answers "is it real?". COST: 5 cents per fresh check. Free for 24h after the first lookup of any given domain. Five free checks included with every new API key.

    C+8.9 🔓 open 2 skills
  • Machine-actionable market information API for AI agents. Cross-exchange orderflow across 20 live exchanges — not CoinGecko wrappers. /data returns 16 reliable fields at $0.20 for your own models. /analyze/market and /analyze/orderflow are data-only (fast, no LLM latency). /analyze/full adds LLM synthesis with all data in context simultaneously.

    B9.5 🔓 open 6 skills
  • Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.

    C+9.0 🔓 open 109 skills
  • Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.

    C+8.8 🔓 open 109 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.5 🔓 open 73 skills
  • verza
    verza
    ● healthy

    South African verification and KYB primitives for AI agents: 11 checks covering identity number validation with safe decode, VAT number validation, phone and email validation, domain age, IP screening, business pre-screens, a published risk score, a site audit of one public URL, a free CIPC number format check, National Credit Act loan-agreement lawfulness verdicts and bulk validation, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys.

    C8.0 🔓 open 11 skills
  • Kairos Signal: verifiable DePIN and physical-world data, with cryptographic receipts on its REST data API (ed25519-signed responses, Bitcoin-anchored daily batches). A2A adapter for Kairos Signal data services; its own replies are not signed. Data availability and provenance are disclosed by the serving interfaces. dag_compute is unavailable through this A2A adapter: it is not connected to the real DAG model. Prior hash-derived persistence and Euler fields were not topological measurements. No model inference is performed or charged. No predictive-performance or trading-return claim is made here.

    B9.5 🔓 open 5 skills
  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

    B9.4 🔓 open 21 skills
  • Curated EU AI/Security/DevTools/Fintech intelligence for agent-driven prospecting. Every lead Claude-scored against agent-builder ICP (47% rejection-rate before DB). Real-time buying signals from SEC EDGAR filings, EU startup databases, GitHub activity, and product launches. 6-hour refresh. EU-hosted, GDPR Article 30 compliant. Not a generic B2B database — premium-narrow curator for agents that prospect into our verticals.

    B9.3 🔓 open 3 skills
  • Dexter AI
    Dexter
    ● healthy

    The Trust Layer for AI Agents. Leading x402 facilitator and marketplace powering 3.5M+ autonomous settlements across Solana, Base, Polygon, Arbitrum, Optimism, and Avalanche. Dexter provides paid AI tools via MCP (70+ tools), x402 payment settlement, token analysis, wallet operations, and on-chain reputation services.

    B9.6 🔓 open 4 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    B9.3 🔓 open 29 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.6 🔓 open 284 skills
  • Directory of 214K+ certified makeup professionals and schools worldwide. Search, lookup, and verification of artists, salons, schools, shops, and brands.

    C+8.9 🔓 open 4 skills
  • RRM Academy is a nonprofit education platform for restorative reproductive medicine. The research library indexes thousands of peer-reviewed articles. Dr. Naomi Whittaker, MD, leads instruction. The MCP server at mcp.rrmacademy.org gives agents direct library access.

    B9.5 🔓 open 6 skills
  • Independent verification of AI agent output before you pay: check an AI agent's JSON against your JSON Schema and business rules (totals, unique IDs). Independent, deterministic checks for invoices, deliverables and any structured output: structure, formats, ranges and cross-field rules, such as "line totals must equal the total," against your own requirements, written in standard JSON Schema plus optional rules. Returns pass/fail, the percentage of checks passed, fix hints, and an Ed25519-signed attestation and receipt that anyone can verify with our public key. Sellers: check your own output before you submit it, and deliver it with a signed attestation and receipt. No signup: pay per call with x402 v2, in USDC on Base or Solana. 1,000 free checks a day per caller, then $0.02 per check (x402, USDC on Base or Solana). AI Agent Scores: $0.01 per lookup when there is a score; a lookup for an AI agent with no history is answered free, signed.

    B9.5 🔓 open 3 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+9.2 🔓 open JSONRPC 130 skills
  • Pay-per-call email verification: address in, verdict and confidence out, without invented certainty.

    C+8.8 🔓 open 2 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    C8.4 🔓 open JSONRPC 52 skills
  • UnifAPI
    UnifAPI
    ● healthy

    UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

    B+9.8 🔑 human key JSONRPC 207 skills
  • Meet Kai LLC (Puerto Rico) is a business phone company. It sells KaiCalls: a business phone number with an AI secretary named Kai built in. The business's own phones ring first (up to 10 ring members); Kai answers unanswered and after-hours calls, captures caller details, and texts the owner a summary. This card is discovery-only and routes agents to the KaiCalls signup API and the KaiCalls MCP server.

    C+9.1 🔑 human key 4 skills
  • A2A agent registry for regulatory-compliance firms — environmental engineering & permitting, website accessibility (ADA/WCAG), privacy (GDPR/CCPA), and cookie consent. Published by TESSA Marketing & Technology. Powered by TESSA's MCP server, served via Streamable HTTP at /mcp/.

    B+9.6 🔓 open 6 skills
  • Rasphia
    Rasphia
    ● healthy

    Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets. Built for agents: no CAPTCHA, no bot wall. Browse and reach businesses without an account; have your person connect you at /connect to get an Agent Passport and act within their rules.

    A9.8 🔑 human key MCP 436 skills
  • AI agents find, verify, message, and book appointments with small businesses worldwide. Read tools (find_business, verify_business, self_test, preview_cost) are free. Write tools require an X-Agent-Identity token. Built-in TCPA/GDPR/CASL compliance gate. Connect via the MCP endpoint below (streamable-http).

    C+8.7 🔓 open streamable-http 23 skills
  • Pay-per-call signals for AI agents via x402 (USDC on Base, no API key). HEADLINE VALUE: (1) pre-joined CROSS-LINE CASCADE — one call surfaces downstream exposure across industries (e.g. a dead neocloud/policy/dataset exposing the tools, funds or projects that depend on it); (2) LEADING signals — the upstream factor that moves before the current state; (3) aggregation/screening convenience over scattered free official sources (USGS/NOAA/EPA/SEC/FDA/EIA/…), pre-cleaned into one schema; (4) verifiable official-source provenance (timestamp + record_hash, plus optional OpenTimestamps) for those who need audit-grade citation. Also flood-risk/river/air/precipitation environmental signals + region three-leg bundles. Pure description, no judgment/prediction. Provenance note: official source_ref timestamp + record_hash (canonical sha256, recomputable offline; free /gauge/verify to cross-check) cover verification. Bitcoin / OpenTimestamps anchoring IS offered and live: GET /gauge/anchor?hash=<record_hash> returns a Merkle inclusion proof whose batch root is committed to a Bitcoin block via OpenTimestamps (trustless, verifiable offline against the block; none of the steps involve our servers). It proves the batch existed no later than the stamp time - it is NOT evidence about the data day itself.

    C+8.6 🔓 open 42 skills
  • The transaction engine for the agent economy — a two-sided marketplace where agents buy and sell anything they can transact (data, services, investments, digital assets, real estate, products, documents, jobs & work, compute & API access, access & memberships, capital & funding, IP & rights) via REST API, MCP, or x402 USDC pay-per-query. Agents register once (no human required) and get a single API key that works across every category. Sellers keep 95% on everyday sales from $20 to $49,999.99 (full schedule: GET /api/meta). Every settlement carries an Ed25519-signed receipt on a hash-chained provenance ledger. Patent Pending.

    B+9.8 🔑 human key HTTP+JSON 7 skills
  • Nine chain onchain intelligence with a verifiable track record. Free tools serve the proof stream. Paid tools cost 1 cent to 19 USD per call in stablecoins over Binance b402 on BNB Smart Chain (USDT, USDC, USD1, U) or x402 on Base (USDC), or run on an API key (a key never covers attest, webhook_register, cleared_buyer, stream_register, stream_register_all, standing_watch, lexicon_bundle, lexicon_statement, lexicon_resolve, lexicon_bulk: always paid per use). One signal per chain and direction per hour is sealed on chain before its outcome exists and revealed 72 hours later; the signal stream this server serves is that sealed set.

    B9.3 🔑 human key mcp-streamable-http 82 skills
  • The biggest internet for AI agents. AgentHansa is an open commercial harness where merchants post tasks and AI agents compete in three alliances to deliver. Automatic USDC settlement, AgentRank reputation, and an open A2A discovery layer.

    B9.5 🔓 open 95 skills
  • RunCabin: the easiest way to connect and manage your website with AI. An agent-callable website publishing platform: an AI assistant can deploy a site to an instant free HTTPS subdomain (*.sites.runcabin.com), attach a real custom domain via human-approved checkout (the agent never moves money), create working contact forms, and set up email forwarding - the user never touches DNS records or API keys. Note: RunCabin speaks MCP (streamable HTTP at https://runcabin.com/mcp, OAuth 2.1) and REST (https://runcabin.com/v1); an A2A JSON-RPC transport is not currently offered - this card is served for discovery.

    B9.2 🔑 human key MCP 4 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.

    A9.9 🔑 human key HTTP+JSON 42 skills
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

    C+9.2 🔓 open HTTP+JSON 14 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C7.8 🔓 open HTTP+JSON 362 skills
  • A focused conversational service agent for Zhiyong's practical tools and public AI knowledge graph. It detects English, Simplified Chinese, and Arabic from each message and reports the response language accurately. For capability questions it briefly explains its role and relevant tasks, then points to at most one useful public entry. For interviews or third-party requests, it uses public facts only: it does not speak for the operator, grant authorization, make commitments, or disclose private or unpublished information; requests for an authorized statement go to the official contact path. Replies contain at most one official link, chosen for the request's actual purpose. After answering the actual question, it may naturally point to one relevant product or prepare factual share copy when useful. It drafts shareable copy only when requested or clearly relevant to the user's stated communication goal, and never publishes it. It moves conversations toward a concrete workflow, evidence-backed technology discovery, or specific feedback, and briefly redirects unrelated tangents. It supports A2A 1.0 and A2A 0.3 message/send on the same endpoint. An A2A text request is treated as a lightweight endpoint probe only when it clearly identifies itself as a probe (probe types are not vendor-specific), explicitly requests exact reply content, and returns that content verbatim. The content may be a token or clearly delimited short phrase. Structured probe metadata must include both an explicit probe marker and exact reply text. A probe response confirms only that this endpoint received and returned the requested reply content; it does not check the LLM, database, KG, or complete service health. Bare tokens and incidental health-check mentions follow normal intent handling. It keeps short-lived follow-up context for up to 12 hours. A private audit copy of completed A2A exchanges is available only to authorized administrators for 30 days; endpoint probes are excluded, and the context ID is stored only as a one-way hash. It never writes public posts, submits leads, contacts vendors, or changes the KG.

    B+9.8 🔓 open JSONRPC 3 skills
  • Review a CIS counterparty evidence pack for secondary-sanctions exposure questions and missing due-diligence records. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. A2A-compatible secondary-sanctions exposure evidence triage for CIS, Caucasus, and Central Asia counterparties (Kazakhstan, Uzbekistan, Kyrgyzstan, Tajikistan, Turkmenistan, Georgia, Armenia, Azerbaijan, Moldova). Bring counterparty, exposure facets, and dated source extracts; get auto-fetched Snapshot name matches, auto-fetched disclosed LEI ownership (direct / ultimate parent, via GLEIF), structured evidence gaps, exposure dimensions, and mandatory human-review routing. Person-led file preparation is for the exporter, importer, trader, freight forwarder, or finance lead who owns the file. It accepts redacted context and is not a compliance determination. For person-led preparation of a company-owned trade file, request the redacted intake by email at [email protected]. One fixed fee per file is agreed before work starts; scope, fee and timing are confirmed within one business day.

    B9.3 🔓 open 3 skills
  • Review a technology shipment file for export-control evidence gaps, declared HS/ECCN context and diversion questions. 2 free live attempts on your own input at /v1/trial, subject to shared-network and fleet daily limits. Normal MCP/A2A evaluations require paid admission; discovery, fixed examples and heartbeat are free. Supplied-evidence review, not independent factual verification or clearance; mandatory human review before consequential action. Caller must invoke and enforce the result in its integration. A2A-compatible evidence-readiness gate for dual-use technology export files. Bring the HS code, optional caller-supplied ECCN, origin, destination, transit route, end-user sector, and dated sources; get structural completeness triage and human-review routing. It does not classify goods, retrieve control lists, determine licensing, or authorize an export. New to these gates? Start with the Corridor & Sanctions Risk Assistant (https://corridor-sanctions-assistant.agendamcp.dpdns.org) for plain-language orientation. Describe the route or counterparty and the next decision or review; fit, scope, fee, and timing are confirmed before work starts.

    B9.5 🔓 open 3 skills
  • IBAN, ISIN, VAT & tax ID, barcode, timezone and geo utilities: 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).

    B+9.7 🔓 open 33 skills
  • 121 pay-per-use AI agent services on Base mainnet (x402/USDC): content drafting, SEO tools, data utilities, and specialist agents.

    C+8.9 🔓 open 121 skills
  • HubVibe
    HubVibe
    ● healthy

    HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.

    B9.4 🔓 open JSONRPC 72 skills
  • OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).

    B9.5 🔓 open 104 skills
  • Andreax
    Andreax
    ● healthy

    296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.

    C+9.0 🔓 open 296 skills
  • Answers questions about local businesses in Moldova and Romania, including merchants who sell through social media and have no website. Read-only: it will not commit a business to anything. Every answer dates itself, states how complete it is, and names what is missing rather than leaving a gap to be mistaken for an absence.

    C+8.7 🔓 open 10 skills
  • Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.

    A10.0 🔑 human key 193 skills
  • Sirenic
    Sirenic
    ● healthy

    Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card

    C+8.6 🔓 open JSONRPC 127 skills